Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class DigestAlgorithm

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.Algorithm
            |
            +--org.mozilla.jss.crypto.DigestAlgorithm

Direct Known Subclasses:
  HMACAlgorithm

public class DigestAlgorithm
extends Algorithm

Field Summary
`static DigestAlgorithm` | `MD2` The MD2 digest algorithm, from RSA.
`static DigestAlgorithm` | `MD5` The MD5 digest algorithm, from RSA.
`private static java.util.Hashtable` | `oidMap`
`private int` | `outputSize`
`static DigestAlgorithm` | `SHA1` The SHA-1 digest algorithm, from Uncle Sam.

Fields inherited from class org.mozilla.jss.crypto.Algorithm
`ANSI_X9_ALGORITHM, CKM_DES_CBC_PAD, CKM_DES_KEY_GEN, CKM_DES3_CBC_PAD, CKM_DES3_ECB, CKM_DES3_KEY_GEN, CKM_DSA_KEY_PAIR_GEN, CKM_PBA_SHA1_WITH_SHA1_HMAC, CKM_RC4_KEY_GEN, CKM_RSA_PKCS_KEY_PAIR_GEN, CKM_SHA_1_HMAC, name, oid, oidIndex, parameterClass, SEC_OID_ANSIX9_DSA_SIGNATURE, SEC_OID_ANSIX9_DSA_SIGNATURE_WITH_SHA1_DIGEST, SEC_OID_DES_CBC, SEC_OID_DES_ECB, SEC_OID_DES_EDE3_CBC, SEC_OID_MD2, SEC_OID_MD5, SEC_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC4, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_3KEY_TRIPLE_DES_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC4, SEC_OID_PKCS5_PBE_WITH_MD2_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_MD5_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_SHA1_AND_DES_CBC, SEC_OID_RC2_CBC, SEC_OID_RC4, SEC_OID_SHA1`

Constructor Summary
`protected` | `DigestAlgorithm(int oidIndex, java.lang.String name, OBJECT_IDENTIFIER oid, int outputSize)`

Method Summary
`static DigestAlgorithm` | `fromOID(OBJECT_IDENTIFIER oid)`
`int` | `getOutputSize()` Returns the output size in bytes for this algorithm.

Methods inherited from class org.mozilla.jss.crypto.Algorithm
`getParameterClass, toOID, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### outputSize

    private int outputSize

### oidMap

    private static java.util.Hashtable oidMap

### MD2

    public static final DigestAlgorithm MD2

  The MD2 digest algorithm, from RSA.

### MD5

    public static final DigestAlgorithm MD5

  The MD5 digest algorithm, from RSA.

### SHA1

    public static final DigestAlgorithm SHA1

  The SHA-1 digest algorithm, from Uncle Sam.

Constructor Detail

### DigestAlgorithm

    protected DigestAlgorithm(int oidIndex,
                              java.lang.String name,
                              OBJECT_IDENTIFIER oid,
                              int outputSize)

Method Detail

### fromOID

    public static DigestAlgorithm fromOID(OBJECT_IDENTIFIER oid)
                                   throws java.security.NoSuchAlgorithmException

### getOutputSize

    public int getOutputSize()

  Returns the output size in bytes for this algorithm.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD